package com.ycwl.basic.videoTask.enums;


import lombok.Getter;
import lombok.Setter;

public enum VideoTaskTriggerReason {
    DEVICE_UPLOAD("设备检测人脸"),
    USER_MANUAL("用户手动触发"),
    ADMIN_MANUAL("后台手动触发"),
    SCHEDULE("定时触发"),
    USER_FACE_UPLOAD("用户上传人脸触发");

    @Getter
    private final String desc;
    @Getter
    @Setter
    private String extData;
    VideoTaskTriggerReason(String desc) {
        this.desc = desc;
    }
}
